ChangeSet 1.1933, 2004/04/22 13:52:40-07:00, wli@holomorphy.com

[PATCH] USB: silence dpcm warning

Warnings aren't terribly important in and of themselves, but there
isn't really much the warning tells us to do here, so it would appear
that caving in to the compiler is the thing to do for now.


 drivers/usb/storage/dpcm.c |    9 ++++++---
 1 files changed, 6 insertions(+), 3 deletions(-)


diff -Nru a/drivers/usb/storage/dpcm.c b/drivers/usb/storage/dpcm.c
--- a/drivers/usb/storage/dpcm.c	Thu Apr 22 14:41:15 2004
+++ b/drivers/usb/storage/dpcm.c	Thu Apr 22 14:41:15 2004
@@ -56,7 +56,8 @@
     /*
      * LUN 0 corresponds to the CompactFlash card reader.
      */
-    return usb_stor_CB_transport(srb, us);
+    ret = usb_stor_CB_transport(srb, us);
+    break;
 
 #ifdef CONFIG_USB_STORAGE_SDDR09
   case 1:
@@ -71,12 +72,14 @@
     srb->device->lun = 0; us->srb->device->lun = 0;
     ret = sddr09_transport(srb, us);
     srb->device->lun = 1; us->srb->device->lun = 1;
+    break;
 
-    return ret;
 #endif
 
   default:
     US_DEBUGP("dpcm_transport: Invalid LUN %d\n", srb->device->lun);
-    return USB_STOR_TRANSPORT_ERROR;
+    ret = USB_STOR_TRANSPORT_ERROR;
+    break;
   }
+  return ret;
 }
